Bug 723676

Summary: spice-server: update to upstream spice 0.8.2
Product: Red Hat Enterprise Linux 6 Reporter: Uri Lublin <uril>
Component: spice-serverAssignee: Uri Lublin <uril>
Status: CLOSED ERRATA QA Contact: Desktop QE <desktop-qa-list>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 6.1CC: cmeadors, dblechte, mhasko, mkenneth, mkrcmari
Target Milestone: rcKeywords: Rebase
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: spice-server-0.8.2-1.el6 Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-12-06 10:21:49 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 700134, 713474, 714801    
Bug Blocks:    

Description Uri Lublin 2011-07-20 15:25:17 EDT
Description of problem:

The list below specifies all the changes in the rebase.

Short log of features introduced and bugs solved:
688883 S3 support:
700134 (qemu-kvm) : async calls
no bz: add symbol versioning:
no bz: prevent running an old spice-server with a newer qemu -- hard to test.
713474: server: fix access to a released drawable. RHBZ #713474
714801: server: removing local cursor, this solves RHBZ #714801
no bz: only from looking at code, possible rendering bug
no bz: server/smartcard: fixes (remove unneeded log message, unbreak gtk-client)
no bz: sasl support: freedesktop.org bz# 34795
Cleanups



Exhaustive server changes (from 0.8.1 to 0.8.2) including patch titles:

688883 S3 support:
     server: add QXLWorker.flush_surfaces_async for S3/S4 support
     server/spice.h: bump QXL_MINOR because of QXLWorker and QXLInterface changes
     server/red_worker: send surface images to client on-demand after S3/4 wakeup

700134 (qemu-kvm) : async calls
     server: add async io support
     server: add QXLInterface::update_area_complete callback
     bump required spice-protocol to 0.8.1 for qxl_dev async and s3 updates

no bz: add symbol versioning:
     server: add symbol versioning to the spice server shared library.
     server: api: add spice_qxl_* calls based on QXLWorker contents

no bz: prevent running an old spice-server with a newer qemu -- hard to test.
     Fix spice-server/qemu channel version checks

713474: server: fix access to a released drawable. RHBZ #713474

714801: server: removing local cursor, this solves RHBZ #714801

no bz: only from looking at code, possible rendering bug
     server: add missing calls to red_handle_drawable_surfaces_client_synced

no bz: server/smartcard: fixes (remove unneeded log message, unbreak gtk-client)
     server/smartcard: register channel only when hardware is available
     server/smartcard: handle BaseChannel messages

no bz: sasl support: freedesktop.org bz# 34795
     server: spice-server.syms: move sasl symbols to 0.8.2
     server: add SASL support
     server: add auth mechanism selection
     server: add reds_channel_dispose()
     server: simplify and constify sync_write()
     server: pull out reds_handle_link(), for future reuse
     build: add --with-sasl
     common: add SpiceBuffer - based on qemu-vnc Buffer
     server/reds: make writev fallback more generic
     server: rename s/peer/stream
     server/reds: remove the void* ctx field
     server: use the new reds_stream_{read,write}
     server: remove cb_free, not needed anymore
     server: use reds_{link,stream}_free()
     server: use reds_stream_remove_watch() helper
     server: add reds_stream_{read,write,free,remove_watch}()
     server: s/RedsStreamContext/RedsStream
     server/reds: remove unused readv

no bz: Cleanup [server + client]:
     client: fix return code when missing host
     server/smartcard: fix use after free
     server/red_channel: error channel if alloc_msg_buf fails
     server/red_channel: fix segfault on red_channel_destroy if peer already removed
     [server + client] common/gl: remove unused variable
     [client] gl: remove unused variables
     [client] gl: use correct pixman accessor for image data
     [server + client] common/pixman: remove dead assignments
     server/tests remove useless assignment
     client: s/reqired/required in CmdLineParser
     [server + client] spice.proto: Fill.rop_descriptor type s/uint16/ropd (10x atiti)
     [server + client] common: add extern "C" guards to headers
     [server + client] add missing "LGPLv2.1 or later" header to source files
     [server + client] common: spice_memdup could accept NULL
     server: Unset executable bit of red_tunnel_worker.h
     client: match delete[] with new[]
     [server] s/__visible__/SPICE_GNUC_VISIBLE
     [server + client] use foo(void) instead of foo() in prototypes
     server: replace redundant code with red_cursor_reset
     server/red_worker: handle_dev_input: reuse write_ready introduced for async

no bz: Additional Cleanup [server + client]
     [client] Fixes compilation error of Spice Client (Linux/X11) with OpenGL enabled
     [client] build: s/HUGE/INFINITY/
     server/tests: Makefile.am: use AM_LDFLAGS instead of LDFLAGS
     [server + client] build: alsa is needed on linux only.
     [server + client] build: only check for x11 extensions when building for x11
     [server + client] build: make it silent
     [client] opengl: fix compilation
     client: use silent generation rules in Makefile.am
     [server + client] configure.ac: fix use of AC_ARG_ENABLE
     [server + client] configure.ac: remove unused dynamic linkage flag
     [server + client] configure.ac: replace tab with spaces

no bz: non rhel required changes (windows client or python code generation scripts):
     python_modules/codegen.py: fix indent error in an unused function
     client/windows: use SPICE_PROTOCOL_DIR in project include dirs
     client/windows: undef SIZE_MAX in stdint.h
     client/windows: enable image randomization (ASLR) rhbz#701111
     add check for pyparsing
Comment 5 Uri Lublin 2011-07-31 10:24:27 EDT
Note that rhbz#688883 mentioned in comment #0, is to be fixed in Windows QXL component, not by this bug.
Comment 6 Michal Haško 2011-10-19 05:01:17 EDT
I see 5 underlying bugs filed for this rebase:
  bug 688883 - ON_QA (qemu-kvm, qxl-win)
  bug 700134 - ON_QA (qemu-kvm)
  bug 713474 - VERIFIED
  bug 714801 - VERIFIED
  freedesktop.org bz# 34795 RESOLVED FIXED

From my point of view I can verify bug 688883, then wait for bug 700134 to be verified. As far as the other issues you described in comment 0, I'm not sure I can test them as:
 * they are not described in separate bugs to track them
 * there are not reproducers
 * I can't verify an issue based on code inspection

What I *can* do (and will) is the usual component testing tor the new build.

Uri, do you think that would be enough to mark this bug as verified?
Comment 8 Michal Haško 2011-10-21 09:41:36 EDT
VERIFIED on spice-server-0.8.2-4.el6.x86_64
Comment 9 errata-xmlrpc 2011-12-06 10:21:49 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2011-1634.html